# class OpenSSL::Digest

- OpenSSL::Digest
- Digest
- Reference
- Object

##
Direct Known Subclasses

- Digest::MD5
- Digest::SHA1
- Digest::SHA256
- Digest::SHA512

##
Defined in:

openssl/digest.cr

##
Constructors

- .new(name : String)

##
Instance Method Summary

- #block_size : Int32
- #digest_size : Int32

  Returns the digest output size in bytes.

- #dup

  Returns a shallow copy of this object.

- #finalize
- #name : String
- #to_unsafe : Pointer(LibCrypto::EVP_MD_CTX_Struct)
- #to_unsafe_md

### Instance methods inherited from class `Digest`

<<(data) : self <<, digest_size : Int32 digest_size, file(file_name : Path | String) : self file, final(dst : Bytes) : Bytes
final : Bytes final, final_impl(dst : Bytes) : Nil final_impl, hexfinal(dst : Bytes) : Nil
hexfinal(io : IO) : Nil
hexfinal : String hexfinal, reset : self reset, reset_impl : Nil reset_impl, update(data : Bytes) : self
update(io : IO) : self
update(data) : self update, update_impl(data : Bytes) : Nil update_impl

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, initialize initialize, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference) : Bool
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new, unsafe_construct(address : Pointer, *args, **opts) : self unsafe_construct

### Class methods inherited from class `Reference`

pre_initialize(address : Pointer) pre_initialize

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message)
not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

### Macros inherited from class `Object`

class_getter(*names, &block) class_getter, class_getter!(*names) class_getter!, class_getter?(*names, &block) class_getter?, class_property(*names, &block) class_property, class_property!(*names) class_property!, class_property?(*names, &block) class_property?, class_setter(*names) class_setter, def_clone def_clone, def_equals(*fields) def_equals, def_equals_and_hash(*fields) def_equals_and_hash, def_hash(*fields) def_hash, delegate(*methods, to object) delegate, forward_missing_to(delegate) forward_missing_to, getter(*names, &block) getter, getter!(*names) getter!, getter?(*names, &block) getter?, property(*names, &block) property, property!(*names) property!, property?(*names, &block) property?, setter(*names) setter

##
Constructor Detail

def self.new(name : String) #

##
Instance Method Detail

def block_size : Int32 #
def digest_size : Int32 #
Description copied from class Digest

Returns the digest output size in bytes.

def dup #
Description copied from class Reference

Returns a shallow copy of this object.

This allocates a new object and copies the contents of `self` into it.

def finalize #
def name : String #
def to_unsafe : Pointer(LibCrypto::EVP_MD_CTX_Struct) #
def to_unsafe_md #